<?php
/*
 * Plugin Name:       Beautiful Select, Radio & Checkboxes (EasyToolsWP)
 * Description:       Adds custom styles to select elements.
 * Version:           1.0.1
 * Requires at least: 6.6
 * Author:            EasyToolsWP.com
 */

function custom_select_styles() {
    echo '<style>

select {background-color: white;border: thin solid #ddd;border-radius: 4px;display: inline-block;font: inherit;line-height: 1.5em;padding: 0.5em 3.5em 0.5em 1em;margin: 0;-webkit-box-sizing: border-box;-moz-box-sizing: border-box;box-sizing: border-box;-webkit-appearance: none;-moz-appearance: none; background-image:linear-gradient(45deg, transparent 50%, gray 50%), linear-gradient(135deg, gray 50%, transparent 50%), linear-gradient(to right, #ccc, #ccc);background-position: calc(100% - 20px) calc(1em + 2px), calc(100% - 15px) calc(1em + 2px), calc(100% - 2.5em) 0.5em;background-size: 5px 5px, 5px 5px, 1px 1.5em;background-repeat: no-repeat;} select:focus {background-image: linear-gradient(45deg, black 50%, transparent 50%), linear-gradient(135deg, transparent 50%, black 50%), linear-gradient(to right, #ccc, #ccc);background-position: calc(100% - 15px) 1em, calc(100% - 20px) 1em, calc(100% - 2.5em) 0.5em;background-size: 5px 5px, 5px 5px, 1px 1.5em;background-repeat: no-repeat;border-color: #ddd;outline: 0;}select:-moz-focusring {color: transparent;text-shadow: 0 0 0 #000;}
			
			input[type="radio"] {
  /* Add if not using autoprefixer */
  -webkit-appearance: none;
  /* Remove most all native input styles */
  appearance: none;
  /* For iOS < 15 */
  background-color: var(--form-background);
  /* Not removed via appearance */
  margin: 0;

  font: inherit;
  color: #ED36AB;
  width: 1.15em;
  height: 1.15em;
  border: 0.15em solid #999;
  border-radius: 25px;
  transform: translateY(-0.075em);

  display: grid;
  place-content: center;
}

input[type="radio"]::before {
  content: "";
  width: 0.65em;
  height: 0.65em;
  border-radius: 50%;
  transform: scale(0);
  transition: 120ms transform ease-in-out;
  box-shadow: inset 1em 1em var(--form-control-color);
  /* Windows High Contrast Mode */
  background-color: #ED36AB;
}

input[type="radio"]:checked::before {
  transform: scale(1);
}

input[type="radio"]:focus {
  outline: max(2px, 0.15em) solid currentColor;
  outline-offset: max(2px, 0.15em);
}
			
        </style>';
}
add_action('wp_head', 'custom_select_styles');
?>
